<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="3006pt" height="360pt"
 viewBox="0.00 0.00 3006.00 360.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 356)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-356 3002,-356 3002,4 -4,4"/>
<text text-anchor="start" x="1478.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1265,-10 1265,-30 1285,-30 1285,-10 1265,-10"/>
<text text-anchor="start" x="1288.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1378,-10 1378,-30 1398,-30 1398,-10 1378,-10"/>
<text text-anchor="start" x="1401.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1464,-10 1464,-30 1484,-30 1484,-10 1464,-10"/>
<text text-anchor="start" x="1487.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1561,-10 1561,-30 1581,-30 1581,-10 1561,-10"/>
<text text-anchor="start" x="1584.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1657,-10 1657,-30 1677,-30 1677,-10 1657,-10"/>
<text text-anchor="start" x="1680.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="863,-70 863,-344 1815,-344 1815,-70 863,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="1265,-154 1265,-206 1807,-206 1807,-154 1265,-154"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="871,-78 871,-206 1257,-206 1257,-78 871,-78"/>
</g>
<g id="clust9" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="1219,-284 1219,-336 1343,-336 1343,-284 1219,-284"/>
</g>
<g id="clust17" class="cluster">
<title>cluster_CoreModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-138 855,-138 855,-70 8,-70"/>
</g>
<g id="clust18" class="cluster">
<title>cluster_CoreModule_declarations</title>
<polygon fill="none" stroke="black" points="454,-78 454,-130 847,-130 847,-78 454,-78"/>
</g>
<g id="clust22" class="cluster">
<title>cluster_CoreModule_imports</title>
<polygon fill="none" stroke="black" points="298,-78 298,-130 446,-130 446,-78 298,-78"/>
</g>
<g id="clust23" class="cluster">
<title>cluster_CoreModule_exports</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 290,-130 290,-78 16,-78"/>
</g>
<g id="clust38" class="cluster">
<title>cluster_ProyectResultModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="2410,-70 2410,-206 2810,-206 2810,-70 2410,-70"/>
</g>
<g id="clust39" class="cluster">
<title>cluster_ProyectResultModule_declarations</title>
<polygon fill="none" stroke="black" points="2626,-78 2626,-130 2802,-130 2802,-78 2626,-78"/>
</g>
<g id="clust41" class="cluster">
<title>cluster_ProyectResultModule_imports</title>
<polygon fill="none" stroke="black" points="2418,-78 2418,-130 2618,-130 2618,-78 2418,-78"/>
</g>
<g id="clust51" class="cluster">
<title>cluster_ResultModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="2818,-70 2818,-206 2990,-206 2990,-70 2818,-70"/>
</g>
<g id="clust53" class="cluster">
<title>cluster_ResultModule_imports</title>
<polygon fill="none" stroke="black" points="2826,-78 2826,-130 2982,-130 2982,-78 2826,-78"/>
</g>
<g id="clust63" class="cluster">
<title>cluster_SharedModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="1823,-146 1823,-214 2402,-214 2402,-146 1823,-146"/>
</g>
<g id="clust64" class="cluster">
<title>cluster_SharedModule_declarations</title>
<polygon fill="none" stroke="black" points="2120,-154 2120,-206 2394,-206 2394,-154 2120,-154"/>
</g>
<g id="clust68" class="cluster">
<title>cluster_SharedModule_exports</title>
<polygon fill="none" stroke="black" points="1831,-154 1831,-206 2112,-206 2112,-154 1831,-154"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1798.94,-198 1693.06,-198 1693.06,-162 1798.94,-162 1798.94,-198"/>
<text text-anchor="middle" x="1746" y="-175.8" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node5" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="1322.66,-263 1319.66,-267 1298.66,-267 1295.66,-263 1239.34,-263 1239.34,-227 1322.66,-227 1322.66,-263"/>
<text text-anchor="middle" x="1281" y="-240.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1746,-198.29C1746,-220.21 1746,-254 1746,-254 1746,-254 1332.67,-254 1332.67,-254"/>
<polygon fill="black" stroke="black" points="1332.67,-250.5 1322.67,-254 1332.67,-257.5 1332.67,-250.5"/>
</g>
<!-- LandingComponent -->
<g id="node2" class="node">
<title>LandingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1674.99,-198 1547.01,-198 1547.01,-162 1674.99,-162 1674.99,-198"/>
<text text-anchor="middle" x="1611" y="-175.8" font-family="Times,serif" font-size="14.00">LandingComponent</text>
</g>
<!-- LandingComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>LandingComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1611,-198.11C1611,-217.34 1611,-245 1611,-245 1611,-245 1332.79,-245 1332.79,-245"/>
<polygon fill="black" stroke="black" points="1332.79,-241.5 1322.79,-245 1332.79,-248.5 1332.79,-241.5"/>
</g>
<!-- LoginComponent -->
<g id="node3" class="node">
<title>LoginComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1529.28,-198 1414.72,-198 1414.72,-162 1529.28,-162 1529.28,-198"/>
<text text-anchor="middle" x="1472" y="-175.8" font-family="Times,serif" font-size="14.00">LoginComponent</text>
</g>
<!-- LoginComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>LoginComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1472,-198.03C1472,-214.4 1472,-236 1472,-236 1472,-236 1332.92,-236 1332.92,-236"/>
<polygon fill="black" stroke="black" points="1332.92,-232.5 1322.92,-236 1332.92,-239.5 1332.92,-232.5"/>
</g>
<!-- SignUpComponent -->
<g id="node4" class="node">
<title>SignUpComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1397.11,-198 1272.89,-198 1272.89,-162 1397.11,-162 1397.11,-198"/>
<text text-anchor="middle" x="1335" y="-175.8" font-family="Times,serif" font-size="14.00">SignUpComponent</text>
</g>
<!-- SignUpComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>SignUpComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1297.89,-198.11C1297.89,-198.11 1297.89,-216.99 1297.89,-216.99"/>
<polygon fill="black" stroke="black" points="1294.39,-216.99 1297.89,-226.99 1301.39,-216.99 1294.39,-216.99"/>
</g>
<!-- AppComponent  -->
<g id="node10" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="1335.44,-328 1226.56,-328 1226.56,-292 1335.44,-292 1335.44,-328"/>
<text text-anchor="middle" x="1281" y="-305.8" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge9" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M1281,-263.11C1281,-263.11 1281,-281.99 1281,-281.99"/>
<polygon fill="black" stroke="black" points="1277.5,-281.99 1281,-291.99 1284.5,-281.99 1277.5,-281.99"/>
</g>
<!-- AppRoutingModule -->
<g id="node6" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="1132.27,-122 1129.27,-126 1108.27,-126 1105.27,-122 1003.73,-122 1003.73,-86 1132.27,-86 1132.27,-122"/>
<text text-anchor="middle" x="1068" y="-99.8" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1068,-122.21C1068,-159.06 1068,-239 1068,-239 1068,-239 1229.17,-239 1229.17,-239"/>
<polygon fill="black" stroke="black" points="1229.17,-242.5 1239.17,-239 1229.17,-235.5 1229.17,-242.5"/>
</g>
<!-- CoreModule -->
<g id="node7" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="black" points="965.26,-198 962.26,-202 941.26,-202 938.26,-198 878.74,-198 878.74,-162 965.26,-162 965.26,-198"/>
<text text-anchor="middle" x="922" y="-175.8" font-family="Times,serif" font-size="14.00">CoreModule</text>
</g>
<!-- CoreModule&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>CoreModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M965.56,-186C1053.2,-186 1242.52,-186 1242.52,-186 1242.52,-186 1242.52,-216.98 1242.52,-216.98"/>
<polygon fill="black" stroke="black" points="1239.02,-216.98 1242.52,-226.98 1246.02,-216.98 1239.02,-216.98"/>
</g>
<!-- HomeComponent  -->
<g id="node15" class="node">
<title>HomeComponent </title>
<polygon fill="#fb8072" stroke="black" points="281.54,-122 162.46,-122 162.46,-86 281.54,-86 281.54,-122"/>
<text text-anchor="middle" x="222" y="-99.8" font-family="Times,serif" font-size="14.00">HomeComponent </text>
</g>
<!-- CoreModule&#45;&gt;HomeComponent  -->
<g id="edge16" class="edge">
<title>CoreModule&#45;&gt;HomeComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M878.48,-188C725.54,-188 222,-188 222,-188 222,-188 222,-132.23 222,-132.23"/>
<polygon fill="black" stroke="black" points="225.5,-132.23 222,-122.23 218.5,-132.23 225.5,-132.23"/>
</g>
<!-- ResultComponent  -->
<g id="node16" class="node">
<title>ResultComponent </title>
<polygon fill="#fb8072" stroke="black" points="144.11,-122 23.89,-122 23.89,-86 144.11,-86 144.11,-122"/>
<text text-anchor="middle" x="84" y="-99.8" font-family="Times,serif" font-size="14.00">ResultComponent </text>
</g>
<!-- CoreModule&#45;&gt;ResultComponent  -->
<g id="edge17" class="edge">
<title>CoreModule&#45;&gt;ResultComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M878.71,-193C707.11,-193 84,-193 84,-193 84,-193 84,-132.01 84,-132.01"/>
<polygon fill="black" stroke="black" points="87.5,-132.01 84,-122.01 80.5,-132.01 87.5,-132.01"/>
</g>
<!-- MaterialModule -->
<g id="node8" class="node">
<title>MaterialModule</title>
<polygon fill="#8dd3c7" stroke="black" points="985.47,-122 982.47,-126 961.47,-126 958.47,-122 878.53,-122 878.53,-86 985.47,-86 985.47,-122"/>
<text text-anchor="middle" x="932" y="-99.8" font-family="Times,serif" font-size="14.00">MaterialModule</text>
</g>
<!-- MaterialModule&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>MaterialModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M975.43,-122.03C975.43,-161.28 975.43,-251 975.43,-251 975.43,-251 1229.15,-251 1229.15,-251"/>
<polygon fill="black" stroke="black" points="1229.15,-254.5 1239.15,-251 1229.15,-247.5 1229.15,-254.5"/>
</g>
<!-- MaterialModule&#45;&gt;CoreModule -->
<g id="edge14" class="edge">
<title>MaterialModule&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M922,-122.01C922,-122.01 922,-151.85 922,-151.85"/>
<polygon fill="black" stroke="black" points="918.5,-151.85 922,-161.85 925.5,-151.85 918.5,-151.85"/>
</g>
<!-- SharedModule -->
<g id="node9" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="black" points="1249.42,-122 1246.42,-126 1225.42,-126 1222.42,-122 1150.58,-122 1150.58,-86 1249.42,-86 1249.42,-122"/>
<text text-anchor="middle" x="1200" y="-99.8" font-family="Times,serif" font-size="14.00">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>SharedModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1245.86,-122.14C1245.86,-122.14 1245.86,-216.93 1245.86,-216.93"/>
<polygon fill="black" stroke="black" points="1242.36,-216.92 1245.86,-226.93 1249.36,-216.93 1242.36,-216.92"/>
</g>
<!-- SharedModule&#45;&gt;CoreModule -->
<g id="edge15" class="edge">
<title>SharedModule&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M1188.66,-122.03C1188.66,-142.77 1188.66,-174 1188.66,-174 1188.66,-174 975.44,-174 975.44,-174"/>
<polygon fill="black" stroke="black" points="975.44,-170.5 965.44,-174 975.44,-177.5 975.44,-170.5"/>
</g>
<!-- FooterComponent  -->
<g id="node24" class="node">
<title>FooterComponent </title>
<polygon fill="#fb8072" stroke="black" points="2103.88,-198 1982.12,-198 1982.12,-162 2103.88,-162 2103.88,-198"/>
<text text-anchor="middle" x="2043" y="-175.8" font-family="Times,serif" font-size="14.00">FooterComponent </text>
</g>
<!-- SharedModule&#45;&gt;FooterComponent  -->
<g id="edge23" class="edge">
<title>SharedModule&#45;&gt;FooterComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M1249.28,-108C1429.59,-108 2043,-108 2043,-108 2043,-108 2043,-151.83 2043,-151.83"/>
<polygon fill="black" stroke="black" points="2039.5,-151.83 2043,-161.83 2046.5,-151.83 2039.5,-151.83"/>
</g>
<!-- HeaderComponent  -->
<g id="node25" class="node">
<title>HeaderComponent </title>
<polygon fill="#fb8072" stroke="black" points="1964.74,-198 1839.26,-198 1839.26,-162 1964.74,-162 1964.74,-198"/>
<text text-anchor="middle" x="1902" y="-175.8" font-family="Times,serif" font-size="14.00">HeaderComponent </text>
</g>
<!-- SharedModule&#45;&gt;HeaderComponent  -->
<g id="edge24" class="edge">
<title>SharedModule&#45;&gt;HeaderComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M1249.36,-115C1409.15,-115 1902,-115 1902,-115 1902,-115 1902,-151.89 1902,-151.89"/>
<polygon fill="black" stroke="black" points="1898.5,-151.89 1902,-161.89 1905.5,-151.89 1898.5,-151.89"/>
</g>
<!-- CoreComponent -->
<g id="node11" class="node">
<title>CoreComponent</title>
<polygon fill="#ffffb3" stroke="black" points="839.05,-122 730.95,-122 730.95,-86 839.05,-86 839.05,-122"/>
<text text-anchor="middle" x="785" y="-99.8" font-family="Times,serif" font-size="14.00">CoreComponent</text>
</g>
<!-- CoreComponent&#45;&gt;CoreModule -->
<g id="edge10" class="edge">
<title>CoreComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M785,-122.17C785,-141.09 785,-168 785,-168 785,-168 868.65,-168 868.65,-168"/>
<polygon fill="black" stroke="black" points="868.65,-171.5 878.65,-168 868.65,-164.5 868.65,-171.5"/>
</g>
<!-- HomeComponent -->
<g id="node12" class="node">
<title>HomeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="712.55,-122 597.45,-122 597.45,-86 712.55,-86 712.55,-122"/>
<text text-anchor="middle" x="655" y="-99.8" font-family="Times,serif" font-size="14.00">HomeComponent</text>
</g>
<!-- HomeComponent&#45;&gt;CoreModule -->
<g id="edge11" class="edge">
<title>HomeComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M655,-122.13C655,-142.57 655,-173 655,-173 655,-173 868.51,-173 868.51,-173"/>
<polygon fill="black" stroke="black" points="868.51,-176.5 878.51,-173 868.51,-169.5 868.51,-176.5"/>
</g>
<!-- ResultComponent -->
<g id="node13" class="node">
<title>ResultComponent</title>
<polygon fill="#ffffb3" stroke="black" points="579.61,-122 462.39,-122 462.39,-86 579.61,-86 579.61,-122"/>
<text text-anchor="middle" x="521" y="-99.8" font-family="Times,serif" font-size="14.00">ResultComponent</text>
</g>
<!-- ResultComponent&#45;&gt;CoreModule -->
<g id="edge12" class="edge">
<title>ResultComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M521,-122.29C521,-144.21 521,-178 521,-178 521,-178 868.7,-178 868.7,-178"/>
<polygon fill="black" stroke="black" points="868.71,-181.5 878.7,-178 868.7,-174.5 868.71,-181.5"/>
</g>
<!-- CoreRoutingModule -->
<g id="node14" class="node">
<title>CoreRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="437.88,-122 434.88,-126 413.88,-126 410.88,-122 306.12,-122 306.12,-86 437.88,-86 437.88,-122"/>
<text text-anchor="middle" x="372" y="-99.8" font-family="Times,serif" font-size="14.00">CoreRoutingModule</text>
</g>
<!-- CoreRoutingModule&#45;&gt;CoreModule -->
<g id="edge13" class="edge">
<title>CoreRoutingModule&#45;&gt;CoreModule</title>
<path fill="none" stroke="black" d="M372,-122.32C372,-145.66 372,-183 372,-183 372,-183 868.38,-183 868.38,-183"/>
<polygon fill="black" stroke="black" points="868.38,-186.5 878.38,-183 868.38,-179.5 868.38,-186.5"/>
</g>
<!-- ProyectResultComponent -->
<g id="node17" class="node">
<title>ProyectResultComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2793.87,-122 2634.13,-122 2634.13,-86 2793.87,-86 2793.87,-122"/>
<text text-anchor="middle" x="2714" y="-99.8" font-family="Times,serif" font-size="14.00">ProyectResultComponent</text>
</g>
<!-- ProyectResultModule -->
<g id="node18" class="node">
<title>ProyectResultModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2685.09,-198 2682.09,-202 2661.09,-202 2658.09,-198 2546.91,-198 2546.91,-162 2685.09,-162 2685.09,-198"/>
<text text-anchor="middle" x="2616" y="-175.8" font-family="Times,serif" font-size="14.00">ProyectResultModule</text>
</g>
<!-- ProyectResultComponent&#45;&gt;ProyectResultModule -->
<g id="edge18" class="edge">
<title>ProyectResultComponent&#45;&gt;ProyectResultModule</title>
<path fill="none" stroke="black" d="M2659.55,-122.01C2659.55,-122.01 2659.55,-151.85 2659.55,-151.85"/>
<polygon fill="black" stroke="black" points="2656.05,-151.85 2659.55,-161.85 2663.05,-151.85 2656.05,-151.85"/>
</g>
<!-- ProyectResultRoutingModule -->
<g id="node19" class="node">
<title>ProyectResultRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2609.71,-122 2606.71,-126 2585.71,-126 2582.71,-122 2426.29,-122 2426.29,-86 2609.71,-86 2609.71,-122"/>
<text text-anchor="middle" x="2518" y="-99.8" font-family="Times,serif" font-size="14.00">ProyectResultRoutingModule</text>
</g>
<!-- ProyectResultRoutingModule&#45;&gt;ProyectResultModule -->
<g id="edge19" class="edge">
<title>ProyectResultRoutingModule&#45;&gt;ProyectResultModule</title>
<path fill="none" stroke="black" d="M2578.28,-122.01C2578.28,-122.01 2578.28,-151.85 2578.28,-151.85"/>
<polygon fill="black" stroke="black" points="2574.78,-151.85 2578.28,-161.85 2581.78,-151.85 2574.78,-151.85"/>
</g>
<!-- ResultRoutingModule -->
<g id="node20" class="node">
<title>ResultRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2974.45,-122 2971.45,-126 2950.45,-126 2947.45,-122 2833.55,-122 2833.55,-86 2974.45,-86 2974.45,-122"/>
<text text-anchor="middle" x="2904" y="-99.8" font-family="Times,serif" font-size="14.00">ResultRoutingModule</text>
</g>
<!-- ResultModule -->
<g id="node21" class="node">
<title>ResultModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2951.83,-198 2948.83,-202 2927.83,-202 2924.83,-198 2856.17,-198 2856.17,-162 2951.83,-162 2951.83,-198"/>
<text text-anchor="middle" x="2904" y="-175.8" font-family="Times,serif" font-size="14.00">ResultModule</text>
</g>
<!-- ResultRoutingModule&#45;&gt;ResultModule -->
<g id="edge20" class="edge">
<title>ResultRoutingModule&#45;&gt;ResultModule</title>
<path fill="none" stroke="black" d="M2904,-122.01C2904,-122.01 2904,-151.85 2904,-151.85"/>
<polygon fill="black" stroke="black" points="2900.5,-151.85 2904,-161.85 2907.5,-151.85 2900.5,-151.85"/>
</g>
<!-- FooterComponent -->
<g id="node22" class="node">
<title>FooterComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2385.88,-198 2268.12,-198 2268.12,-162 2385.88,-162 2385.88,-198"/>
<text text-anchor="middle" x="2327" y="-175.8" font-family="Times,serif" font-size="14.00">FooterComponent</text>
</g>
<!-- FooterComponent&#45;&gt;SharedModule -->
<g id="edge21" class="edge">
<title>FooterComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="black" d="M2327,-161.76C2327,-136.52 2327,-94 2327,-94 2327,-94 1259.51,-94 1259.51,-94"/>
<polygon fill="black" stroke="black" points="1259.51,-90.5 1249.51,-94 1259.51,-97.5 1259.51,-90.5"/>
</g>
<!-- HeaderComponent -->
<g id="node23" class="node">
<title>HeaderComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2249.74,-198 2128.26,-198 2128.26,-162 2249.74,-162 2249.74,-198"/>
<text text-anchor="middle" x="2189" y="-175.8" font-family="Times,serif" font-size="14.00">HeaderComponent</text>
</g>
<!-- HeaderComponent&#45;&gt;SharedModule -->
<g id="edge22" class="edge">
<title>HeaderComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="black" d="M2189,-161.68C2189,-138.34 2189,-101 2189,-101 2189,-101 1259.38,-101 1259.38,-101"/>
<polygon fill="black" stroke="black" points="1259.38,-97.5 1249.38,-101 1259.38,-104.5 1259.38,-97.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">10 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-cog"></span></h4>
                    <p class="card-text">10 Components</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">4 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">6 Interfaces</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-git-branch"></span></h4>
                    <p class="card-text">
                        <a href="./routes.html">13 Routes</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 











                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
